|  | Home · All Classes · Modules

# QHelpContentModel Class Reference
[QtHelp module]

The QHelpContentModel class provides a model that supplies content to views. More...

Inherits QAbstractItemModel.

### Methods

- int columnCount (self, QModelIndex parent = QModelIndex())
- QHelpContentItem contentItemAt (self, QModelIndex index)
- createContents (self, QString customFilterName)
- QVariant data (self, QModelIndex index, int role)
- QModelIndex index (self, int row, int column, QModelIndex parent = QModelIndex())
- bool isCreatingContents (self)
- QModelIndex parent (self, QModelIndex index)
- int rowCount (self, QModelIndex parent = QModelIndex())

### Qt Signals

- void contentsCreated ()
- void contentsCreationStarted ()

## Detailed Description

The QHelpContentModel class provides a model that supplies content to views.

## Method Documentation

### int QHelpContentModel.columnCount (self, QModelIndex parent = QModelIndex())

Returns the number of columns under the given parent. Currently returns always 1.

Reimplemented from QAbstractItemModel.

### QHelpContentItem QHelpContentModel.contentItemAt (self, QModelIndex index)

Returns the help content item at the model index position index.

### QHelpContentModel.createContents (self, QString customFilterName)

Creates new contents by querying the help system for contents specified for the customFilterName.

### QVariant QHelpContentModel.data (self, QModelIndex index, int role)

Returns the data stored under the given role for the item referred to by the index.

Reimplemented from QAbstractItemModel.

### QModelIndex QHelpContentModel.index (self, int row, int column, QModelIndex parent = QModelIndex())

Returns the index of the item in the model specified by the given row, column and parent index.

Reimplemented from QAbstractItemModel.

### bool QHelpContentModel.isCreatingContents (self)

Returns true if the contents are currently rebuilt, otherwise false.

### QModelIndex QHelpContentModel.parent (self, QModelIndex index)

Returns the parent of the model item with the given index, or QModelIndex() if it has no parent.

Reimplemented from QAbstractItemModel.

### int QHelpContentModel.rowCount (self, QModelIndex parent = QModelIndex())

Returns the number of rows under the given parent.

Reimplemented from QAbstractItemModel.

## Qt Signal Documentation

### void contentsCreated ()

This signal is emitted when the contents have been created.

### void contentsCreationStarted ()

This signal is emitted when the creation of the contents has started. The current contents are invalid from this point on until the signal contentsCreated() is emitted.

See also isCreatingContents().